# Class Facet

java.lang.Object
com.treemap.swing.fastvoronoi.originalconvexhull.Facet

public class Facet extends Object
Facet class connected over double-connected edge list. Contains incident vertices and edges.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Facet(Vertex a, Vertex b, Vertex c)`
  `Facet(Vertex a, Vertex b, Vertex c, Vertex orient)`
  Creates the Face with a,b,c and orients with the 4th point (which is behind the facet).

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `behind(Vertex test)`
  Is the given vertex in front of or behind this face?
  `boolean`
  `conflict(Vertex test)`
  `Point2D`
  `getDualPoint()`
  `Edge`
  `getEdge(int index)`
  `int`
  `getEdgeCount()`
  `Edge`
  `getHorizon()`
  `int`
  `getIndex()`
  `ConflictList`
  `getList()`
  `Vector`
  `getNormal()`
  `Vertex`
  `getVertex(int i)`
  `int`
  `getVertexCount()`
  `boolean`
  `isMarked()`
  `boolean`
  `isVisibleFromBelow()`
  `void`
  `link(Edge e)`
  `void`
  `link(Facet f0, Vertex v0, Vertex v1)`
  Links the given face f0 with the edge between v0 and v1 with the current face
  `void`
  `orient(Vertex orient)`
  `void`
  `removeConflict()`
  `void`
  `setIndex(int index)`
  `void`
  `setList(ConflictList list)`
  `void`
  `setMarked(boolean marked)`
  `void`
  `setNormal(Vector normal)`
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Facet

    public Facet(Vertex a, Vertex b, Vertex c)

  - ### Facet

    public Facet(Vertex a, Vertex b, Vertex c, Vertex orient)
    Creates the Face with a,b,c and orients with the 4th point (which is behind the facet).

- ## Method Details

  - ### getIndex

    public int getIndex()

  - ### setIndex

    public void setIndex(int index)

  - ### orient

    public void orient(Vertex orient)

  - ### getList

    public ConflictList getList()

  - ### setList

    public void setList(ConflictList list)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getVertex

    public Vertex getVertex(int i)

  - ### isVisibleFromBelow

    public boolean isVisibleFromBelow()

  - ### getEdgeCount

    public int getEdgeCount()

  - ### getEdge

    public Edge getEdge(int index)

  - ### getNormal

    public Vector getNormal()

  - ### setNormal

    public void setNormal(Vector normal)

  - ### link

    public void link(Facet f0, Vertex v0, Vertex v1)
    Links the given face f0 with the edge between v0 and v1 with the current face

  - ### link

    public void link(Edge e)

  - ### getDualPoint

    public Point2D getDualPoint()

  - ### behind

    public boolean behind(Vertex test)
    Is the given vertex in front of or behind this face?

  - ### conflict

    public boolean conflict(Vertex test)

  - ### getVertexCount

    public int getVertexCount()

  - ### setMarked

    public void setMarked(boolean marked)

  - ### isMarked

    public boolean isMarked()

  - ### removeConflict

    public void removeConflict()

  - ### getHorizon

    public Edge getHorizon()